# Conditional build:
%bcond_with		gtk3	# build GTK+3 disables GTK+2
%bcond_without		gtk2	# build with GTK+2

%if %{with gtk3}
%undefine	with_gtk2
%endif

Summary:	Keyboard and mouse configurator for LXDE
Name:		lxinput
Version:	0.3.5
Release:	1
License:	GPL v3
Group:		X11/Applications
Source0:	http://downloads.sourceforge.net/lxde/%{name}-%{version}.tar.xz
# Source0-md5:	69680debaef053d540ae3a5f4b237150
URL:		http://www.lxde.org/
BuildRequires:	gettext-tools
%{?with_gtk2:BuildRequires:	gtk+2-devel >= 2:2.12.0}
%{?with_gtk3:BuildRequires:	gtk+3-devel}
BuildRequires:	intltool >= 0.40
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LXInput is a small program used to configure keyboard and mouse for
LXDE.

%prep
%setup -q

%build
%configure \
	%{?with_gtk3:--enable-gtk3}
%{__make} V=1

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/{frp,ur_PK,tt_RU}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS README
%attr(755,root,root) %{_bindir}/lxinput
%{_desktopdir}/lxinput.desktop
%{_datadir}/lxinput
%{_mandir}/man1/lxinput*
%changelog
* Wed Apr 20 2016 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/lxinput.git;a=log;h=master

* Wed Apr 20 2016 Marcin Krol <hawk@tld-linux.org> a65be2a
- updated to 0.3.5

* Fri Jul 17 2015 Marcin Krol <hawk@tld-linux.org> 11ff5a6
- back to gtk+2 due to lxpanel gtk+3 incompatibility, added gtk bconds

* Sun Jul 12 2015 Marcin Krol <hawk@tld-linux.org> 53aa36e
- build with gtk+3

* Sun Jul 12 2015 Marcin Krol <hawk@tld-linux.org> 01fbf22
- updated to 0.3.4

* Sun Jul 12 2015 Marcin Krol <hawk@tld-linux.org> b8315c8
- from PLD

